Package: org.gradle.api.file

## [Java] Interface CopySourceSpec

- Specifies sources for a file copy.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CopySourceSpec` | `from(Object... sourcePaths)` Specifies source files or directories for a copy.
    `CopySourceSpec` | `from(Object sourcePath, groovy.lang.Closure configureClosure)` Specifies the source files or directories for a copy and creates a child `CopySourceSpec`.

- - ### Method Detail

    - #### public CopySourceSpec from(Object... sourcePaths)

      Specifies source files or directories for a copy. The given paths are evaluated as per Project.files.

      Parameters:
        `sourcePaths` - Paths to source files for the copy

    - #### public CopySourceSpec from(Object sourcePath, groovy.lang.Closure configureClosure)

      Specifies the source files or directories for a copy and creates a child `CopySourceSpec`. The given source path is evaluated as per Project.files .

      Parameters:
        `sourcePath` - Path to source for the copy
        `configureClosure` - closure for configuring the child CopySourceSpec